# 31. `gui.imageViewer` — A general image viewer

Part of this code was borrowed from the TrollTech Qt examples.

class `gui.imageViewer.``ImageViewer`(parent=None, path=None)

  pyFormex image viewer

  The pyFormex image viewer was shaped after the Image Viewer from the TrollTech Qt documentation.

  It can be use as stand alone application, as well as from inside pyFormex. The viewer allows browsing through directories, selecting an image to be displayed. The image can be resized to fit a window.

  Parameters:

  - parent: The parent Qt4 widget (the Qt4 app in the stand alone case).
  - path: string: the full path to the image to be initially displayed.